Bug 956212 - [RFE] Add flag to pulp-admin rpm repo uploads rpm command which removes the ascii progress bar.
Summary: [RFE] Add flag to pulp-admin rpm repo uploads rpm command which removes the a...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-24 13:27 UTC by pgustafs
Modified: 2015-02-28 23:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 01:10:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 184 None None None Never

Description pgustafs 2013-04-24 13:27:06 UTC
Description of problem:
When uploading rpms to pulp repo from e.g. jenkins the ascii progress bar is split up on several lines 

[INFO] Uploading: foo-1.1.3-1.noarch.rpm
[INFO] [93m[==                                                ] 5%[0m
[INFO] 1048576/20793534 bytes
[INFO] [2A[J[93m[=====                                             ] 10%[0m
[INFO] 2097152/20793534 bytes
[INFO] [2A[J[93m[=======                                           ] 15%[0m
[INFO] 3145728/20793534 bytes
[INFO] [2A[J[93m[==========                                        ] 20%[0m
[INFO] 4194304/20793534 bytes
[INFO] [2A[J[93m[============                                      ] 25%[0m
[INFO] 5242880/20793534 bytes
[INFO] [2A[J[93m[===============                                   ] 30%[0m
[INFO] 6291456/20793534 bytes
[INFO] [2A[J[93m[=================                                 ] 35%[0m
[INFO] 7340032/20793534 bytes
[INFO] [2A[J[93m[====================                              ] 40%[0m
[INFO] 8388608/20793534 bytes
[INFO] [2A[J[93m[======================                            ] 45%[0m
[INFO] 9437184/20793534 bytes
[INFO] [2A[J[93m[=========================                         ] 50%[0m
[INFO] 10485760/20793534 bytes
[INFO] [2A[J[93m[===========================                       ] 55%[0m
[INFO] 11534336/20793534 bytes
[INFO] [2A[J[93m[==============================                    ] 60%[0m
[INFO] 12582912/20793534 bytes
[INFO] [2A[J[93m[================================                  ] 65%[0m
[INFO] 13631488/20793534 bytes
[INFO] [2A[J[93m[===================================               ] 70%[0m
[INFO] 14680064/20793534 bytes
[INFO] [2A[J[93m[=====================================             ] 75%[0m
[INFO] 15728640/20793534 bytes
[INFO] [2A[J[93m[========================================          ] 80%[0m
[INFO] 16777216/20793534 bytes
[INFO] [2A[J[93m[==========================================        ] 85%[0m
[INFO] 17825792/20793534 bytes
[INFO] [2A[J[93m[=============================================     ] 90%[0m
[INFO] 18874368/20793534 bytes
[INFO] [2A[J[93m[===============================================   ] 95%[0m
[INFO] 19922944/20793534 bytes
[INFO] [2A[J[92m[==================================================] 100%[0m
[INFO] 20793534/20793534 bytes
[INFO] ... completed  


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Brian Bouterse 2015-02-19 01:10:31 UTC
Moved to https://pulp.plan.io/issues/184


Note You need to log in before you can comment on or make changes to this bug.